
U++ - Bug #232

-I compiler option is not honoured by file options in package manager

01/13/2012 04:29 PM - Massimo Del Fedele

Status: Approved Start date: 01/13/2012

Priority: Immediate Due date:

Assignee: Massimo Del Fedele % Done: 100%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Simply insert a FILE options like this in package manager :

-ISOMETHING

Enable verbose mode and compile the file; the option don't appears in compiler command line.
History

#1 - 01/13/2012 08:00 PM - Massimo Del Fedele

For GCC, in GCCBuilder.cpp, line 197, from

exec << GetHostPathQ(fn)  << " -o " << GetHostPathQ(objfile);

to

    exec << GetHostPathQ(fn)  << " " << soptions[i] << " -o " << GetHostPathQ(objfile);

For MSC the problem is different, the options are there but a space is missing; so, line 317, from

+ soptions[i] + (ext  ".c" ? " -Tc " : " -Tp ")

to

    + " " + soptions[i] + (ext  ".c" ? " -Tc " : " -Tp ")
#2 - 01/16/2012 12:47 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Massimo Del Fedele

Please check I have applied patches correctly. And thanks...

#3 - 01/18/2012 08:53 PM - Massimo Del Fedele

- Status changed from Ready for QA to Approved

- % Done changed from 0 to 100
